Bug 850408 - Introduce new systemd-rpm macros in salt spec file
Summary: Introduce new systemd-rpm macros in salt spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: salt
Version: 18
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clint Savage
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 850016
TreeView+ depends on / blocked
 
Reported: 2012-08-21 14:24 UTC by Lukáš Nykrýn
Modified: 2012-12-20 15:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:43:40 UTC


Attachments (Terms of Use)

Description Lukáš Nykrýn 2012-08-21 14:24:11 UTC
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).

Comment 1 Fedora Update System 2012-10-03 14:35:12 UTC
salt-0.10.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-0.10.3-1.el6

Comment 2 Fedora Update System 2012-10-03 14:36:13 UTC
salt-0.10.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/salt-0.10.3-1.el5

Comment 3 Fedora Update System 2012-10-03 14:37:08 UTC
salt-0.10.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/salt-0.10.3-1.fc16

Comment 4 Fedora Update System 2012-10-03 14:40:01 UTC
salt-0.10.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/salt-0.10.3-1.fc17

Comment 5 Fedora Update System 2012-10-03 17:03:20 UTC
Package salt-0.10.3-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing salt-0.10.3-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13077/salt-0.10.3-1.el5
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-20 15:43:42 UTC
salt-0.10.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.